module PerfectWorld

  # Base error for all perfect world errors.
  class Error < StandardError; end

  # Should be raised, when gpg key could not be found.
  class KeyNotFound < Error
    def initialize(owner)
      super("Couldn't find GPG key for '#{owner}'.")
    end
  end

  # Should be raised, when a database corruption is detected.
  class CorruptedDatabase < Error
    def initialize(database)
      super("Database seems corrupted: #{database}")
    end
  end

  # Should be raised, when no clipboard tool could be found.
  class ClipboardNotAvailable < Error
    def initialize
      super("The clipboard is not available on this system.")
    end
  end
end
